Bug 380021 - SELinux enforcing prevents cyrus-imapd from authenticating against saslauthd
SELinux enforcing prevents cyrus-imapd from authenticating against saslauthd
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Regression
Depends On:
  Show dependency treegraph
Reported: 2007-11-13 08:39 EST by Nils Philippsen
Modified: 2008-01-30 14:20 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 14:20:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2007-11-13 08:39:16 EST
Description of problem:

Apparently, cyrus-imapd "imapd" processes can't access the saslauthd socket in
/var/run/saslauthd; sealert gives this:

--- 8< ---
    SELinux is preventing imapd (cyrus_t) "search" to <Unknown>

Detailed Description
    SELinux denied access requested by imapd. It is not expected that this
    access is required by imapd and this access may signal an intrusion attempt.
    It is also possible that the specific version or configuration of the
    application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:cyrus_t:s0
Target Context                system_u:object_r:saslauthd_var_run_t:s0
Target Objects                None [ dir ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-52.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     wombat
Platform                      Linux wombat #1 SMP Thu Nov 8
                              22:14:09 EST 2007 x86_64 x86_64
Alert Count                   33
First Seen                    Tue 13 Nov 2007 12:35:39 PM CET
Last Seen                     Tue 13 Nov 2007 02:14:52 PM CET
Local ID                      e393342b-bd4e-4c99-8369-0d2a8067fd48
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm=imapd dev=dm-3 name=saslauthd pid=25944
scontext=system_u:system_r:cyrus_t:s0 tclass=dir
--- >8 ---

If I `setenforce 0`, I can login easily.

Version-Release number of selected component (if applicable):
Comment 1 Daniel Walsh 2007-11-13 14:15:56 EST
Fixed in selinux-policy-3.0.8-54.fc8
Comment 2 Nils Philippsen 2007-11-14 02:59:49 EST
Where is this package, I can find it neither in koji nor its sources in dist CVS.
Comment 3 Daniel Walsh 2008-01-30 14:20:19 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.